zabbix_export:
  version: '5.2'
  date: '2020-09-28T16:08:54Z'
  groups:
    -
      name: 'Zabbix servers'
  hosts:
    -
      host: TEST
      name: TEST
      ipmi_username: zabbix
      ipmi_password: zabbix
      groups:
        -
          name: 'Zabbix servers'
      interfaces:
        -
          interface_ref: if1
        -
          type: IPMI
          ip: 192.168.3.111
          port: '623'
          interface_ref: if2
      items:
        -
          name: trap
          type: TRAP
          key: trap
          delay: '0'
          triggers:
            -
              expression: '{last()}=0'
              name: 'Trigger trap=0'
              priority: HIGH
              type: MULTIPLE
              manual_close: 'YES'
      discovery_rules:
        -
          name: 'Test Rule'
          key: 'vfs.file.contents[/home/larisa/Documents/Testing/DiscoveryRuleFiles/discovery1.txt]'
          delay: 1s
          interface_ref: if1
          item_prototypes:
            -
              name: 'Proto_Trap_{#KEY}'
              key: 'trap[{#KEY}]'
              delay: 1s
              interface_ref: if1
          host_prototypes:
            -
              host: 'Agent_Proto_Host_{#KEY}'
              name: 'Agent_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              custom_interfaces: 'YES'
              interfaces:
                - {  }
            -
              host: 'IPMI_Host_Proto_{#KEY}'
              name: 'IPMI_Host_Proto_{#KEY}'
              inventory_mode: DISABLED
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
            -
              host: 'JMX_Host_Prototype_{#KEY}'
              name: 'JMX_Host_Prototype_{#KEY}'
              inventory_mode: DISABLED
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              custom_interfaces: 'YES'
              interfaces:
                -
                  type: JMX
                  port: '12345'
            -
              host: 'SNMPv2_Proto_Host_{#KEY}'
              name: 'SNMPv2_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              templates:
                -
                  name: 'Template Module Generic SNMP'
                -
                  name: 'Template Module Interfaces Simple SNMP'
              custom_interfaces: 'YES'
              interfaces:
                -
                  type: SNMP
                  ip: 192.168.3.7
                  port: '161'
                  details:
                    community: '{$SNMP_COMMUNITY}'
            -
              host: 'SNMPv3_Proto_Host_{#KEY}'
              name: 'SNMPv3_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              custom_interfaces: 'YES'
              interfaces:
                -
                  type: SNMP
                  ip: 192.168.3.7
                  port: '161'
                  details:
                    version: SNMPV3
                    securityname: zabbix
                    securitylevel: AUTHPRIV
                    authpassphrase: '{$PASS1}'
                    privpassphrase: '{$PASS2}'
      inventory_mode: DISABLED
    -
      host: 'Zabbix server'
      name: 'Zabbix server'
      templates:
        -
          name: 'Template App Zabbix Server'
        -
          name: 'Template OS Linux by Zabbix agent'
      groups:
        -
          name: 'Zabbix servers'
      interfaces:
        -
          interface_ref: if1
      inventory_mode: DISABLED
